aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorYan Pas <yanp.bugz@gmail.com>2018-10-07 22:41:11 +0300
committerYan Pas <yanp.bugz@gmail.com>2018-10-09 23:59:12 +0300
commit07b4d7b297dfc83f47aa1d708b7405a5e4b3cc4f (patch)
tree28d671d6a4a89c36d1c71a46a1ffe6f288aac797 /test
parent753a4d376df9faecce20d2b60a1d56b9ee0c9357 (diff)
downloadpandoc-07b4d7b297dfc83f47aa1d708b7405a5e4b3cc4f.tar.gz
posix man files parsed successfully
Diffstat (limited to 'test')
-rw-r--r--test/grofftest.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/grofftest.sh b/test/grofftest.sh
index 2c559d21a..ca1aa71d9 100644
--- a/test/grofftest.sh
+++ b/test/grofftest.sh
@@ -13,9 +13,9 @@ DIR=$2
$PANDOC --version > /dev/null || { echo "pandoc executable error" >&2 ; exit 1 ; }
-ls $2 | egrep "^.+\.[0-9]$" | while read f ; do
+ls $2 | egrep "^.+\.[0-9].?$" | while read f ; do
FILE="$DIR/$f"
- $PANDOC -f man -t native < $FILE > /dev/null
+ $PANDOC -f man -t native < $FILE 2>&1 > /dev/null
if [ $? -ne 0 ]; then
echo "Failed to convert $FILE"
fi